package com.bonus.material.tool.service;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.tool.domain.ToolEntity;
import org.apache.ibatis.annotations.MapKey;

import java.util.List;
import java.util.Map;

public interface ToolService {
    /**
     * 工具类型树
     *
     * @param entity 实体
     * @return 树结构
     */
    AjaxResult getTreeSelect(ToolEntity entity);

    /**
     * 工具类型表格
     *
     * @param entity 实体
     * @return 表格
     */
    List<ToolEntity> list(ToolEntity entity);

    /**
     * 工具类型新增
     *
     * @param entity 实体
     * @return 表格
     */
    AjaxResult add(ToolEntity entity);

    /**
     * 修改节点
     *
     * @param entity 条件
     * @return 结果
     */
    AjaxResult update(ToolEntity entity);

    /**
     * 删除节点
     *
     * @param entity 条件
     * @return 结果
     */
    AjaxResult delete(ToolEntity entity);


    /**
     * 获取下拉选
     *
     * @return 集合
     */
    AjaxResult getSelect(ToolEntity query);

    /**
     * 工具租赁价（批量）修改
     * @param info
     * @return
     */
    Integer updateLeasePrice(ToolEntity info);
}
